Subject: RE: bug#4787: 23.1; in Customize, after showing Lisp expression, how to see normal?

From: "Drew Adams" <[email-masked]>
Date: Sun, 5 Feb 2012 10:42:00 -0800

> severity 4787 wishlist

1. There is no way that a user looking for a way to show the normal,
non-Lisp-expression display of an option value, would think to try "For Current
Display".

2. Mutually exclusive UI alternatives should be presented as such.  Having
multiple menu items, of which a few are in fact alternatives, is misleading to
users.

There are two problems wrt this UI: (1) inappropriate menu-item name for what
`For Current Display" does and (2) no way to see that 3 of the menu items are
mutually exclusive alternatives.

(I'm not sure now where I saw "For Current Display", "For All Displays", and
"Show Lisp Expression".  Perhaps that was from an earlier Emacs 24 build -
dunno.  Now I see "Show Current Value" and "Show Saved Lisp Expression".  But
the essential problems are the same as I've described.)